extends Node

# Event Handler for Encountering Knowledge

# Learn incoming encountered knowledge
func handle(old_content):
	print_debug("KnowledgeBase: " + old_content)
	KnowledgeBase.forget(old_content)

# Ready
func _ready():
	MessageBus.subscribe("lost", self)
